Ignore:
Timestamp:
Jul 15, 2006 4:14:39 PM (14 years ago)
Author:
forrest
Message:

for allCuts

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Cbc/configure

    r406 r416  
    2054820548esac
    2054920549
    20550 # Steal some files from Clp - they are going to be deleted by a
    20551 # distclean in src (see the Makefile.am there)
    20552 if test x"$coin_has_clp" != xunavailable; then
    20553   { echo "$as_me:$LINENO: Stealing CbcOrClpParam's files from Clp" >&5
    20554 echo "$as_me: Stealing CbcOrClpParam's files from Clp" >&6;}
    20555                       ac_config_links="$ac_config_links src/CbcOrClpParam.cpp:../Clp/src/CbcOrClpParam.cpp src/CbcOrClpParam.hpp:../Clp/src/CbcOrClpParam.hpp"
    20556 
    20557 fi
    20558 
    2055920550#############################################################################
    2056020551#                            Third party solvers                            #
     
    2239422385$config_headers
    2239522386
    22396 Configuration links:
    22397 $config_links
    22398 
    2239922387Configuration commands:
    2240022388$config_commands
     
    2252022508  "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
    2252122509  "cbc_addlibs.txt" ) CONFIG_FILES="$CONFIG_FILES cbc_addlibs.txt" ;;
    22522   "src/CbcOrClpParam.cpp" ) CONFIG_LINKS="$CONFIG_LINKS src/CbcOrClpParam.cpp:../Clp/src/CbcOrClpParam.cpp" ;;
    22523   "src/CbcOrClpParam.hpp" ) CONFIG_LINKS="$CONFIG_LINKS src/CbcOrClpParam.hpp:../Clp/src/CbcOrClpParam.hpp" ;;
    2252422510  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2252522511  "inc/config_cbc.h" ) CONFIG_HEADERS="$CONFIG_HEADERS inc/config_cbc.h" ;;
     
    2253722523  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
    2253822524  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
    22539   test "${CONFIG_LINKS+set}" = set || CONFIG_LINKS=$config_links
    2254022525  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
    2254122526fi
     
    2326023245
    2326123246#
    23262 # CONFIG_LINKS section.
    23263 #
    23264 
    23265 for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
    23266   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
    23267   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
    23268 
    23269   { echo "$as_me:$LINENO: linking $srcdir/$ac_source to $ac_dest" >&5
    23270 echo "$as_me: linking $srcdir/$ac_source to $ac_dest" >&6;}
    23271 
    23272   if test ! -r $srcdir/$ac_source; then
    23273     { { echo "$as_me:$LINENO: error: $srcdir/$ac_source: file not found" >&5
    23274 echo "$as_me: error: $srcdir/$ac_source: file not found" >&2;}
    23275    { (exit 1); exit 1; }; }
    23276   fi
    23277   rm -f $ac_dest
    23278 
    23279   # Make relative symlinks.
    23280   ac_dest_dir=`(dirname "$ac_dest") 2>/dev/null ||
    23281 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    23282          X"$ac_dest" : 'X\(//\)[^/]' \| \
    23283          X"$ac_dest" : 'X\(//\)$' \| \
    23284          X"$ac_dest" : 'X\(/\)' \| \
    23285          .     : '\(.\)' 2>/dev/null ||
    23286 echo X"$ac_dest" |
    23287     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    23288           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    23289           /^X\(\/\/\)$/{ s//\1/; q; }
    23290           /^X\(\/\).*/{ s//\1/; q; }
    23291           s/.*/./; q'`
    23292   { if $as_mkdir_p; then
    23293     mkdir -p "$ac_dest_dir"
    23294   else
    23295     as_dir="$ac_dest_dir"
    23296     as_dirs=
    23297     while test ! -d "$as_dir"; do
    23298       as_dirs="$as_dir $as_dirs"
    23299       as_dir=`(dirname "$as_dir") 2>/dev/null ||
    23300 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    23301          X"$as_dir" : 'X\(//\)[^/]' \| \
    23302          X"$as_dir" : 'X\(//\)$' \| \
    23303          X"$as_dir" : 'X\(/\)' \| \
    23304          .     : '\(.\)' 2>/dev/null ||
    23305 echo X"$as_dir" |
    23306     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    23307           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    23308           /^X\(\/\/\)$/{ s//\1/; q; }
    23309           /^X\(\/\).*/{ s//\1/; q; }
    23310           s/.*/./; q'`
    23311     done
    23312     test ! -n "$as_dirs" || mkdir $as_dirs
    23313   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dest_dir\"" >&5
    23314 echo "$as_me: error: cannot create directory \"$ac_dest_dir\"" >&2;}
    23315    { (exit 1); exit 1; }; }; }
    23316 
    23317   ac_builddir=.
    23318 
    23319 if test "$ac_dest_dir" != .; then
    23320   ac_dir_suffix=/`echo "$ac_dest_dir" | sed 's,^\.[\\/],,'`
    23321   # A "../" for each directory in $ac_dir_suffix.
    23322   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
    23323 else
    23324   ac_dir_suffix= ac_top_builddir=
    23325 fi
    23326 
    23327 case $srcdir in
    23328   .)  # No --srcdir option.  We are building in place.
    23329     ac_srcdir=.
    23330     if test -z "$ac_top_builddir"; then
    23331        ac_top_srcdir=.
    23332     else
    23333        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    23334     fi ;;
    23335   [\\/]* | ?:[\\/]* )  # Absolute path.
    23336     ac_srcdir=$srcdir$ac_dir_suffix;
    23337     ac_top_srcdir=$srcdir ;;
    23338   *) # Relative path.
    23339     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    23340     ac_top_srcdir=$ac_top_builddir$srcdir ;;
    23341 esac
    23342 
    23343 # Do not use `cd foo && pwd` to compute absolute paths, because
    23344 # the directories may not exist.
    23345 case `pwd` in
    23346 .) ac_abs_builddir="$ac_dest_dir";;
    23347 *)
    23348   case "$ac_dest_dir" in
    23349   .) ac_abs_builddir=`pwd`;;
    23350   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dest_dir";;
    23351   *) ac_abs_builddir=`pwd`/"$ac_dest_dir";;
    23352   esac;;
    23353 esac
    23354 case $ac_abs_builddir in
    23355 .) ac_abs_top_builddir=${ac_top_builddir}.;;
    23356 *)
    23357   case ${ac_top_builddir}. in
    23358   .) ac_abs_top_builddir=$ac_abs_builddir;;
    23359   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
    23360   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
    23361   esac;;
    23362 esac
    23363 case $ac_abs_builddir in
    23364 .) ac_abs_srcdir=$ac_srcdir;;
    23365 *)
    23366   case $ac_srcdir in
    23367   .) ac_abs_srcdir=$ac_abs_builddir;;
    23368   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
    23369   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
    23370   esac;;
    23371 esac
    23372 case $ac_abs_builddir in
    23373 .) ac_abs_top_srcdir=$ac_top_srcdir;;
    23374 *)
    23375   case $ac_top_srcdir in
    23376   .) ac_abs_top_srcdir=$ac_abs_builddir;;
    23377   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
    23378   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
    23379   esac;;
    23380 esac
    23381 
    23382 
    23383   case $srcdir in
    23384   [\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
    23385       *) ac_rel_source=$ac_top_builddir$srcdir/$ac_source ;;
    23386   esac
    23387 
    23388   # Try a symlink, then a hard link, then a copy.
    23389   ln -s $ac_rel_source $ac_dest 2>/dev/null ||
    23390     ln $srcdir/$ac_source $ac_dest 2>/dev/null ||
    23391     cp -p $srcdir/$ac_source $ac_dest ||
    23392     { { echo "$as_me:$LINENO: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&5
    23393 echo "$as_me: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&2;}
    23394    { (exit 1); exit 1; }; }
    23395 done
    23396 _ACEOF
    23397 cat >>$CONFIG_STATUS <<\_ACEOF
    23398 
    23399 #
    2340023247# CONFIG_COMMANDS section.
    2340123248#
Note: See TracChangeset for help on using the changeset viewer.